Bug 823344 - Review Request: rubygem-ohai - detects data about your system, exports as JSON for use with Chef
Review Request: rubygem-ohai - detects data about your system, exports as JSO...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1114146 823331 823332 823333 823334 823340
Blocks: 823352
  Show dependency treegraph
 
Reported: 2012-05-20 20:37 EDT by Jonas Courteau
Modified: 2014-06-29 00:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Courteau 2012-05-20 20:37:11 EDT
Spec URL: https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-ohai/rubygem-ohai.spec
SRPM URL: http://rpms.courteau.org/fedora/rubygem-ohai-0.6.12-1.fc17.src.rpm

Description: Ohai detects data about your operating system and prints out a JSON data blob.
It can be used standalone, but it's primary purpose is to provide node data to
Chef.


This is part of a set of dependencies for rubygem-chef.  I've got about 14 packages to add, all ruby gems, and am looking for a sponsor.  Several of the packages were previously in Fedora (F11 and F12), but were removed due to lack of a maintainer.
Comment 1 Vít Ondruch 2012-05-21 03:47:00 EDT
Please note that rubygem-ohai was already in Fedora: https://admin.fedoraproject.org/pkgdb/acls/name/rubygem-ohai
Comment 2 Jonas Courteau 2012-05-21 21:53:26 EDT
Is there a different process I should be following to resurrect the old package?  I do know the person who was working on the packages in the past, and have confirmed that he doesn't have any plans to re-take the maintenance role on this package (or the other several packages that are also retired).
Comment 3 Vít Ondruch 2012-05-22 03:29:36 EDT
(In reply to comment #2)
> Is there a different process I should be following to resurrect the old
> package?

This is the procedure [1]. For the review, the process it the same, just when you are doing SCM request, you should do "Package change request" [2] instead of requesting new repository.



[1] https://fedoraproject.org/wiki/Extras/OrphanedPackages#Claiming_Ownership_of_a_Deprecated_Package

[2] http://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages
Comment 4 Christos Triantafyllidis 2012-05-22 04:15:05 EDT
Hi Jonas,
   for this specific package, would you mind if you also do it for EPEL from the beginning? if maintaining effort is the only blocker i could happily co-maintain it.

   I'll do an informal (as i can't sponsor you) review later on this. If someone else sponsor you for any other package we can change it to a formal one to proceed :).

Christos

PS: I was planning to put a rubygems-ohai review request this week anyway :)
Comment 5 Jonas Courteau 2012-05-27 18:54:18 EDT
Yes, I do plan on maintaining Chef and related packages (including rubygem-ohai) for EPEL 6 as well.  I've created the initial spec files, and do plan on submitting them shortly.  Since this is my first set of package submissions, the plan is to tackle the Fedora side first.
Comment 6 Jonas Courteau 2012-06-04 03:23:20 EDT
Updated:
-------
SPEC URL: https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-ohai/rubygem-ohai.spec
SRPM URL: http://rpms.courteau.org/fedora/rubygem-ohai-0.6.12-2.fc17.src.rpm

- found a workaround for a previously disabled test
- updated URLs
- removed tests from final package
Comment 7 Bobby Powers 2012-08-30 19:44:52 EDT
ping! any updates on this?
Comment 8 Julian C. Dunn 2012-10-23 23:35:19 EDT
Bobby et. al.: I've started working on these under the auspices of http://tickets.opscode.com/browse/CHEF-522. If you can lend any testing/review efforts I would be most appreciative.
Comment 9 Vaidas Jablonskis 2013-02-10 16:17:55 EST
Julian, the name of the package should be changed from 'rubygem-ohai' to just 'ohai' as per the naming guidelines, because it provides user space tools/utilities.

See: https://fedoraproject.org/w/index.php?title=Packaging:Ruby&oldid=306009#Naming_Guidelines
Comment 10 Julian C. Dunn 2013-02-10 19:25:09 EST
(In reply to comment #9)
> Julian, the name of the package should be changed from 'rubygem-ohai' to
> just 'ohai' as per the naming guidelines, because it provides user space
> tools/utilities.
> 
> See:
> https://fedoraproject.org/w/index.php?title=Packaging:
> Ruby&oldid=306009#Naming_Guidelines

Completely agree with you. Chef will also be named "chef" when I get to that point.

Right now we're blocked on yajl-ruby vendoring the YAJL C library (see bz#823351); after the patch gets accepted and YAJL is in Fedora, I'll rebuild the Ohai RPM with the right name.
Comment 11 Vaidas Jablonskis 2013-02-10 19:27:35 EST
Julian, sounds great. I am currently playing with building chef and its dependency packages.

I have noticed some issues with your spec files. Shall I submit a pull request with my fixes?
Comment 12 Julian C. Dunn 2013-02-10 20:21:49 EST
Definitely! I have neglected the chef/ohai specs while dealing with the deps but feel free to correct any errors of mine (or Jonas's)

https://github.com/juliandunn/rubygems-rpms
Comment 13 Vít Ondruch 2013-02-11 04:10:14 EST
(In reply to comment #10)
> (In reply to comment #9)
> > Julian, the name of the package should be changed from 'rubygem-ohai' to
> > just 'ohai' as per the naming guidelines, because it provides user space
> > tools/utilities.
> > 
> > See:
> > https://fedoraproject.org/w/index.php?title=Packaging:
> > Ruby&oldid=306009#Naming_Guidelines
> 
> Completely agree with you. Chef will also be named "chef" when I get to that
> point.

I am unsure about it. This refers especially to applications as described in application section of Ruby guidelines [1]. Not sure if this is the case for Chef, but this is what Ohai upstream says about Ohai:

"It can be used standalone, but its primary purpose is to provide node data to Chef."

According to this statement, Ohai should be packaged as a gem and named according to it, i.e. rubygem-ohai.


[1] https://fedoraproject.org/wiki/Packaging:Ruby#Applications
Comment 14 Julian C. Dunn 2014-06-29 00:42:25 EDT
Here is the updated spec and SRPM for Ohai 7.0.4, patched to use ffi-yajl. I'm comfortable using the patch because it's the same one going into future versions of Ohai and is already in Ohai master.

https://github.com/opscode/ohai/commit/86b123e52e59a00f7a48da7479a40df72e1cfbd7

Spec: https://fedorapeople.org/~jdunn/rubygem-ohai/rubygem-ohai.spec
SRPM: https://fedorapeople.org/~jdunn/rubygem-ohai/rubygem-ohai-7.0.4-1.fc21.src.rpm

There are a few errors from rpmlint:

rubygem-ohai.noarch: E: devel-dependency yajl-devel
rubygem-ohai.noarch: E: useless-provides rubygem(ohai)

The first one is necessary because FFI tries to load by using 'libyajl.so', however only the devel package provides this symlink. Let me know if this is acceptable or if it is something to be raised with the yajl maintainer.

The second I am ignoring because it is necessary to build on EPEL, which I will work on after this is accepted into Fedora.

Note You need to log in before you can comment on or make changes to this bug.